/*---------------------------------------------------------------------------
 PROJET     : Couche de portabilite multi-systeme
 
 PLATE-FORME: LINUX
 
 MODULE     : Definition des macros et des types utilises par la couche 
              d'abstraction systeme pour la plate-forme LINUX.
              
              Le fichier de definition des types portable (ce fichier) doit 
              etre inclus avant tout autre .h de definitions d'APIS gip-cps. 
              Ce fichier definit tous les types et macros dependants du 
              systeme. 

 FICHIER    : common\linux\src\linuxdef.h

 VERSION    : 1.00
 
 DATE       : 10/01/2001
 
 AUTEUR     : ALVARO ROCHA
 
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
 Modifications:  (nouvelle version, date, auteur, explication)
 ...

 - V4.31 - AROC le 12/02/2001 :
      Ajout des #define TRUE et FALSE ainsi que le typedef int BOOLEEN
-----------------------------------------------------------------------------
---------------------------------------------------------------------------*/


#ifndef __CPSCASDF_H
#define __CPSCASDF_H

/*----------------- definition des macros portables ------------------------*/
#ifndef far
#define far
#endif

#ifndef FAR
#define FAR
#endif

#ifndef PTR
#define PTR *
#endif

#ifndef PVOID
#define PVOID void PTR
#endif

#ifndef FARPTR
#define FARPTR PTR
#endif

#ifndef FPVOID
#define FPVOID void FARPTR
#endif

/* AROC 12/02/2001 debut : */
#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif
/* AROC 12/02/2001 fin */

/*----------------- definition des types portables ------------------------*/
#ifndef CHAR
#define CHAR char
#endif

#ifndef PCHAR
#define PCHAR CHAR PTR
#endif

#ifndef PSTRG
#define PSTRG CHAR PTR
#endif

#ifndef UCHAR
#define UCHAR unsigned char
#endif

#ifndef PUCHAR
#define PUCHAR UCHAR PTR
#endif


#ifndef INT8
#define INT8 char
#endif

#ifndef INT16
#define INT16 short
#endif

#ifndef INT32
#define INT32 long
#endif

#ifndef PINT8
#define PINT8 INT8 PTR
#endif

#ifndef PINT16
#define PINT16 INT16 PTR
#endif

#ifndef PINT32
#define PINT32 INT32 PTR
#endif


#ifndef UINT8
#define UINT8 unsigned char
#endif

#ifndef UINT16
#define UINT16 unsigned short
#endif

#ifndef UINT32
#define UINT32 unsigned long
#endif

#ifndef PUINT8
#define PUINT8 UINT8 PTR
#endif

#ifndef PUINT16
#define PUINT16 UINT16 PTR
#endif

#ifndef PUINT32
#define PUINT32 UINT32 PTR
#endif


/* 11/02/1997 : Ajout DRE pour CPSCAS */
#ifndef VOID
#define VOID void
#endif
#ifndef PSTR
#define PSTR char PTR
#endif
/* 11/02/1997 : Fin */

#ifndef WORD
#define WORD unsigned short
#endif

#ifndef DWORD
#define DWORD unsigned long
#endif
//typedef unsigned char BYTE;
#ifndef BYTE
#define BYTE unsigned char
#endif
//typedef BYTE far * LPBYTE;
#ifndef LPBYTE
#define LPBYTE BYTE far *
#endif
//typedef int BOOL;
#ifndef BOOL
#define BOOL int
#endif

#ifndef Unref
#define Unref( a) a=a
#endif

#ifndef min
#define min(a,b) ((a)>(b)?(b):(a))
#endif

#ifndef max
#define max(a,b) ((a)<(b)?(b):(a))
#endif

/* Taille maximale alloue par la fonction "malloc" */
#ifndef MAXBLOC
#define MAXBLOC     4294967295
#endif

#endif
